package com.org.hktshop.Interface.advert;

import com.org.hktshop.entity.Page;
import com.org.hktshop.entity.admin.HktAdmin;
import com.org.hktshop.entity.advert.HktAdCategory;
import com.org.hktshop.utils.Ret;

import java.util.List;

/****
 * 广告分类接口定义
 * @author tw
 */
public interface IHktAdCategoryService {
    /****
     * 初始化
     */
    void  InitData();
    /***
     * 查询广告分类列表
     * @param category
     * @return
     */
    Page<HktAdCategory> queryPage(HktAdCategory category);
    /***
     * 查询广告分类列表
     * @param category
     * @return
     */
    List<HktAdCategory> queryLists(HktAdCategory category);

    /****
     * 更新广告分类
     * @param category
     * @return
     */
    Ret updateAdCategory(HktAdmin admin, HktAdCategory category);

    /****
     * 删除广告分类
     * @param category
     * @return
     */
    Ret deleteAdCategory(HktAdmin admin,HktAdCategory category);

    /****
     * 查询单个广告分类
     * @param category
     * @return
     */
    HktAdCategory queryCategory(HktAdCategory category);
}
